Package twisted :: Package python :: Module threadable :: Class _Waiter

[show private | hide private]
[frames | no frames]

## Class _Waiter

Known Subclasses:
  `_ThreadedWaiter`

Method Summary
| `__init__(self)`
| `block(self)`
| `hasCallback(self, key)`
| `preWait(self, key)`
| `registerCallback(self, key, callback, errback)`
| `runCallback(self, key, value, ok)`
| `unwait(self, key, value, ok)`
| `unwait_all(self)`
| `wait(self, key)`

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net